Agent/Update Notification Settings
PUT /v1/agent/notification-settings

Update Notification Settings

Base URL https://api.{cluster}.{platform}.voiger.io
Request · cURL
curl -X PUT https://api.{cluster}.{platform}.voiger.io/v1/agent/notification-settings \
  -H "Cookie: sid=$VOIGER_SESSION" \
  -H "x-workspace-code: your-workspace-code" \
  -H "x-csrf-token: $CSRF_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
       "settings": [
         {
           "category": "status",
           "type": "status_change",
           "enabled": false,
           "config": {}
         }
       ]
     }'

Parameters

x-workspace-code string required in header
x-csrf-token string required in header

Response

settings▾
array
category
string
type
string
enabled
boolean
config
null | object
created_at
string
updated_at
string